---
title: "Add Column Lineage Values"
slug: "add-column-lineage-values"
updated: 2026-01-06T19:11:43Z
published: 2026-01-06T19:11:46Z
canonical: "docs.validatar.com/add-column-lineage-values"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.validatar.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Add Column Lineage Values
Put/api/v1/DataSteward/data-sources/{dataSourceId}/schemas/{schemaId}/tables/{tableId}/columns/{columnId}/lineage
Add lineage to a specified column
SecurityAPI Key: x-val-api-tokenHeader parameter namex-val-api-token
API key needed to access endpoints. Each Validatar user can manage their own set of API keys.
Path parametersdataSourceIdinteger (int32) Required
Id of the data source of the column having its lineage defined
schemaIdinteger (int32) Required
Id of the schema of the column having its lineage defined
tableIdinteger (int32) Required
Id of the table of the column having its lineage defined
columnIdinteger (int32) Required
Id of the column having its lineage defined
Body parameters
Lineage target object with a list of associated source objects
Expand Allobject lineageTransformationstring | null
Transformation information about the lineage
lineageNotesstring | null
Notes about the lineage
sources Array of object (Configuration.Api.Models.v1.LineageSourceUpdate) | null
List of sources to be added as part of the new lineage
object sourceObjectIdinteger (int32)
The ID of the object that the source is pointing to
sourceMetaDataSourceIdinteger (int32) | null
the Data Source ID of the source
Expand Allobject lineageTransformationstring | null
Transformation information about the lineage
lineageNotesstring | null
Notes about the lineage
sources Array of object (Configuration.Api.Models.v1.LineageSourceUpdate) | null
List of sources to be added as part of the new lineage
object sourceObjectIdinteger (int32)
The ID of the object that the source is pointing to
sourceMetaDataSourceIdinteger (int32) | null
the Data Source ID of the source
Expand Allobject lineageTransformationstring | null
Transformation information about the lineage
lineageNotesstring | null
Notes about the lineage
sources Array of object (Configuration.Api.Models.v1.LineageSourceUpdate) | null
List of sources to be added as part of the new lineage
object sourceObjectIdinteger (int32)
The ID of the object that the source is pointing to
sourceMetaDataSourceIdinteger (int32) | null
the Data Source ID of the source
Expand Allobject lineageTransformationstring | null
Transformation information about the lineage
lineageNotesstring | null
Notes about the lineage
sources Array of object (Configuration.Api.Models.v1.LineageSourceUpdate) | null
List of sources to be added as part of the new lineage
object sourceObjectIdinteger (int32)
The ID of the object that the source is pointing to
sourceMetaDataSourceIdinteger (int32) | null
the Data Source ID of the source
Responses200
OK
object messagestring | null
404
Not Found
object errorstring | null